package com.supervision.knowsub;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableScheduling;

@SpringBootApplication
@EnableScheduling
@MapperScan(basePackages = {"com.supervision.**.mapper"})
@EnableConfigurationProperties
public class KnowSubBusinessApplication {

    public static void main(String[] args) {
        SpringApplication.run(KnowSubBusinessApplication.class, args);
    }

}
