package com.supervision.knowsub.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.supervision.knowsub.model.SystemDic;
import com.supervision.knowsub.model.SystemDicData;
import com.supervision.knowsub.vo.dept.DeptInfoResVo;
import com.supervision.knowsub.vo.dic.DicDataReqVo;
import com.supervision.knowsub.vo.dic.DicReqVo;

import java.util.List;

public interface DicManageService {
    String saveDic(DicReqVo dicReqVo);

    void updateDic(DicReqVo dicReqVo);

    Boolean deleteDic(String id);

    IPage<SystemDic> listDic(String dicName, String dicCode, Integer pageNum, Integer pageSize);

    String saveDicData(String dicId, List<DicDataReqVo> dicDataReqVoList);

    List<SystemDicData> queryDicDate(String dicId);
}
