package com.supervision.knowsub.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.supervision.knowsub.model.SystemDept;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.supervision.knowsub.vo.dept.DeptInfoResVo;
import org.apache.ibatis.annotations.Param;

/**
* @author Administrator
* @description 针对表【ks_system_dept(部门表)】的数据库操作Mapper
* @createDate 2024-06-24 11:35:15
* @Entity com.supervision.knowsub.model.SystemDept
*/
public interface SystemDeptMapper extends BaseMapper<SystemDept> {

    IPage<DeptInfoResVo> pageListDept(@Param("deptName") String deptName,@Param("deptCode") String deptCode,@Param("page") Page<DeptInfoResVo> page);
}




