package com.supervision.knowsub.entity.vo.knowledge;

import com.supervision.knowsub.model.*;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class KnowledgeDetailResVO {

    private Knowledge knowledge;

    private KnowledgeInfo knowledgeInfo;

    private KnowledgeContext knowledgeContext;

    private List<KnowledgeLink> knowledgeLinkList;

    private List<FileInfo> fileInfoList;

    private String publishDept;

    private String submittedDeptName;

    private String baseName;

    public KnowledgeDetailResVO(Knowledge knowledge, KnowledgeInfo knowledgeInfo, KnowledgeContext knowledgeContext, List<KnowledgeLink> knowledgeLinkList, List<FileInfo> fileInfoList) {
        this.knowledge = knowledge;
        this.knowledgeInfo = knowledgeInfo;
        this.knowledgeContext = knowledgeContext;
        this.knowledgeLinkList = knowledgeLinkList;
        this.fileInfoList = fileInfoList;
    }
}
