package com.supervision.knowsub.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.supervision.knowsub.model.KnowledgeSubmitRecord;
import com.supervision.knowsub.service.KnowledgeSubmitRecordService;
import com.supervision.knowsub.mapper.KnowledgeSubmitRecordMapper;
import org.springframework.stereotype.Service;

/**
* @author flevance
* @description 针对表【ks_knowledge_submit_record(知识报送记录表(只要知识被谁报送过,都在这张表记录))】的数据库操作Service实现
* @createDate 2024-06-27 15:22:11
*/
@Service
public class KnowledgeSubmitRecordServiceImpl extends ServiceImpl<KnowledgeSubmitRecordMapper, KnowledgeSubmitRecord>
    implements KnowledgeSubmitRecordService{

    @Override
    public Long queryKnowledgeSubmitTodoCount(String userId) {
        return this.baseMapper.queryKnowledgeSubmitTodoCount(userId);
    }

    @Override
    public Long queryKnowledgeSubmitStatusCount(String userId, Integer status) {
        return this.baseMapper.queryKnowledgeSubmitStatusCount(userId, status);
    }
}




