package com.supervision.knowsub.vo.dept;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class DeptInfoReqVo {

    @Schema(description = "部门id")
    private String id;

    @Schema(description = "部门名称")
    private String deptName;

    @Schema(description = "部门编码")
    private String deptCode;

    @Schema(description = "父部门id")
    private String parentDeptId;

    @Schema(description = "备注")
    private String remark;
}
